<?php

return [
    'Inicio' => [
        'breadcrumbs' => false,
        'icon' => 'menu-icon tf-icons ti ti-home',
        'submenu' => [
            'Inicio' => [
                'icon' => 'menu-icon tf-icons ti ti-home',
                'route' => 'admin.core.home.index',
            ],
            'Sitio web' => [
                'icon' => 'menu-icon tf-icons ti ti-world-www',
                'url' => env('APP_URL'),
            ],
            'Ajustes' => [
                'icon' => 'menu-icon tf-icons ti ti-settings-cog',
                'submenu' => [
                    'Aplicación' => [
                        'submenu' => [
                            'Ajustes generales' => [
                                'route' => 'admin.core.general-settings.index',
                                'can' => 'admin.core.general-settings.allow',
                            ],
                            'Ajustes de caché' => [
                                'route' => 'admin.core.cache-manager.index',
                                'can' => 'admin.core.cache-manager.view',
                            ],
                            'Servidor de correo SMTP' => [
                                'route' => 'admin.core.smtp-settings.index',
                                'can' => 'admin.core.smtp-settings.allow',
                            ],
                        ],
                    ],
                    'Empresa' => [
                        'submenu' => [
                            'Información general' => [
                                'route' => 'admin.store-manager.company.index',
                                'can' => 'admin.store-manager.company.view',
                            ],
                            'Sucursales' => [
                                'route' => 'admin.store-manager.stores.index',
                                'can' => 'admin.store-manager.stores.view',
                            ],
                            'Centros de trabajo' => [
                                'route' => 'admin.store-manager.work-centers.index',
                                'can' => 'admin.store-manager.stores.view',
                            ],
                            'Almacenes' => [
                                'route' => 'admin.inventory.warehouse.index',
                                'can' => 'admin.inventory.warehouse.view',
                            ],
                        ]
                    ],
                    'BANXICO' => [
                        'route' => 'admin.finance.banxico.index',
                        'can' => 'admin.finance.banxico.allow',
                    ],
                    'Conectividad bancaria' => [
                        'route' => 'admin.finance.banking.index',
                        'can' => 'admin.finance.banking.allow',
                    ],
                    'Punto de venta' => [
                        'submenu' => [
                            'Ticket' => [
                                'route' => 'admin.sales.ticket-config.index',
                                'can' => 'admin.sales.ticket-config.allow',
                            ],
                        ]
                    ],
                    'Facturación' => [
                        'submenu' => [
                            'Certificados de Sello Digital' => [
                                'route' => 'admin.billing.csds-settings.index',
                                'can' => 'admin.billing.csds-settings.allow',
                            ],
                            'Paquete de timbrado' => [
                                'route' => 'admin.billing.stamping-package.index',
                                'can' => 'admin.billing.stamping-package.allow',
                            ],
                            'Servidor de correo SMTP' => [
                                'route' => 'admin.billing.smtp-settings.index',
                                'can' => 'admin.billing.smtp-settings.allow',
                            ],
                            'Descarga masiva de CFDI' => [
                                'route' => 'admin.billing.mass-cfdi-download.index',
                                'can' => 'admin.billing.mass-cfdi-download.allow',
                            ],
                        ]
                    ],
                ]
            ],
            'Sistema' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'submenu' => [
                    'Usuarios' => [
                        'route' => 'admin.core.users.index',
                        'can' => 'admin.core.users.view',
                    ],
                    'Roles' => [
                        'route' => 'admin.core.roles.index',
                        'can' => 'admin.core.roles.view',
                    ],
                    'Permisos' => [
                        'route' => 'admin.core.permissions.index',
                        'can' => 'admin.core.permissions.view',
                    ]
                ]
            ],
            'Catálogos' => [
                'icon' => 'menu-icon tf-icons ti ti-library',
                'submenu' => [
                    'Importar catálogos SAT' => [
                        'route' => 'admin.core.import-sat-catalogs.index',
                        'can' => 'admin.core.import-sat-catalogs.allow',
                    ],
                ]
            ],
            'Configuración de cuenta' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'route' => 'admin.core.user-profile.index',
            ],
            'Acerca de' => [
                'icon' => 'menu-icon tf-icons ti ti-cat',
                'route' => 'admin.core.about.index',
            ],
        ],
    ],
    'Herramientas avanzadas' => [
        'icon' => 'menu-icon tf-icons ti ti-device-ipad-cog',
        'submenu' => [
            'Asistente AI' => [
                'icon' => 'menu-icon tf-icons ti ti-brain',
                'submenu' => [
                    'Panel de IA' => [
                        'route' => 'admin.ai.dashboard.index',
                        'can' => 'admin.ai.dashboard.view',
                    ],
                    'Generación de contenidos' => [
                        'route' => 'admin.ai.content.index',
                        'can' => 'admin.ai.content.create',
                    ],
                    'Análisis de datos' => [
                        'route' => 'admin.ai.analytics.index',
                        'can' => 'admin.ai.analytics.view',
                    ],
                ],
            ],
            'Chatbot' => [
                'icon' => 'menu-icon tf-icons ti ti-message-chatbot',
                'submenu' => [
                    'Configuración' => [
                        'route' => 'admin.chatbot.config.index',
                        'can' => 'admin.chatbot.config.view',
                    ],
                    'Flujos de conversación' => [
                        'route' => 'admin.chatbot.flows.index',
                        'can' => 'admin.chatbot.flows.manage',
                    ],
                    'Historial de interacciones' => [
                        'route' => 'admin.chatbot.history.index',
                        'can' => 'admin.chatbot.history.view',
                    ],
                ],
            ],
            'IoT box' => [
                'icon' => 'menu-icon tf-icons ti ti-cpu',
                'submenu' => [
                    'Dispositivos conectados' => [
                        'route' => 'admin.iot.devices.index',
                        'can' => 'admin.iot.devices.view',
                    ],
                    'Sensores y configuración' => [
                        'route' => 'admin.iot.sensors.index',
                        'can' => 'admin.iot.sensors.manage',
                    ],
                    'Monitoreo en tiempo Real' => [
                        'route' => 'admin.iot.monitoring.index',
                        'can' => 'admin.iot.monitoring.view',
                    ],
                ],
            ],
            'Reconocimiento facial' => [
                'icon' => 'menu-icon tf-icons ti ti-face-id',
                'submenu' => [
                    'Gestión de perfiles' => [
                        'route' => 'admin.facial-recognition.profiles.index',
                        'can' => 'admin.facial-recognition.profiles.manage',
                    ],
                    'Verificación en vivo' => [
                        'route' => 'admin.facial-recognition.live.index',
                        'can' => 'admin.facial-recognition.live.verify',
                    ],
                    'Historial de accesos' => [
                        'route' => 'admin.facial-recognition.history.index',
                        'can' => 'admin.facial-recognition.history.view',
                    ],
                ],
            ],
            'Servidor de impresión' => [
                'icon' => 'menu-icon tf-icons ti ti-printer',
                'submenu' => [
                    'Cola de impresión' => [
                        'route' => 'admin.print.queue.index',
                        'can' => 'admin.print.queue.view',
                    ],
                    'Historial de impresiones' => [
                        'route' => 'admin.print.history.index',
                        'can' => 'admin.print.history.view',
                    ],
                    'Configuración de impresoras' => [
                        'route' => 'admin.print.settings.index',
                        'can' => 'admin.print.settings.manage',
                    ],
                ],
            ],
        ],
    ],
    'Sitio web' => [
        'icon' => 'menu-icon tf-icons ti ti-tools',
        'submenu' => [
            'Ajustes generales' => [
                'icon' => 'menu-icon tf-icons ti ti-tools',
                'route' => 'admin.website.general-settings.index',
                'can' => 'admin.website.general-settings.allow',
            ],
            'Avisos legales' => [
                'icon' => 'menu-icon tf-icons ti ti-writing-sign',
                'route' => 'admin.website.legal.index',
                'can' => 'admin.website.legal.view',
            ],
            'Preguntas frecuentes' => [
                'icon' => 'menu-icon tf-icons ti ti-bubble-text',
                'route' => 'admin.website.faq.index',
                'can' => 'admin.website.faq.view',
            ],
        ]
    ],
    'Blog' => [
        'icon' => 'menu-icon tf-icons ti ti-news',
        'submenu' => [
            'Categorias' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.blog.categories.index',
                'can' => 'admin.blog.categories.view',
            ],
            'Etiquetas' => [
                'icon' => 'menu-icon tf-icons ti ti-tags',
                'route' => 'admin.blog.tags.index',
                'can' => 'admin.blog.tags.view',
            ],
            'Articulos' => [
                'icon' => 'menu-icon tf-icons ti ti-news',
                'route' => 'admin.blog.articles.index',
                'can' => 'admin.blog.articles.view',
            ],
            'Comentarios' => [
                'icon' => 'menu-icon tf-icons ti ti-message',
                'route' => 'admin.blog.comments.index',
                'can' => 'admin.blog.comments.view',
            ],
        ]
    ],
    'Contactos' => [
        'icon' => 'menu-icon tf-icons ti ti-users',
        'submenu' => [
            'Contactos' => [
                'icon' => 'menu-icon tf-icons ti ti-users',
                'route' => 'admin.contacts.contacts.index',
                'can' => 'admin.contacts.contacts.view',
            ],
            'Campañas de marketing' => [
                'icon' => 'menu-icon tf-icons ti ti-ad-2',
                'route' => 'admin.crm.marketing-campaigns.index',
                'can' => 'admin.crm.marketing-campaigns.view',
            ],
            'Oportunidades ' => [
                'icon' => 'menu-icon tf-icons ti ti-target-arrow',
                'route' => 'admin.crm.leads.index',
                'can' => 'admin.crm.leads.view',
            ],
            'Newsletter' => [
                'icon' => 'menu-icon tf-icons ti ti-notebook',
                'route' => 'admin.crm.newsletter.index',
                'can' => 'admin.crm.newsletter.view',
            ],
        ]
    ],
    'RRHH' => [
        'icon' => 'menu-icon tf-icons ti ti-users-group',
        'submenu' => [
            'Gestión de empleados' => [
                'icon' => 'menu-icon tf-icons ti ti-id-badge-2',
                'submenu' => [
                    'Empleados' => [
                        'route' => 'admin.contacts.employees.index',
                        'can' => 'admin.contacts.employees.view',
                    ],
                    'Puestos de trabajo' => [
                        'route' => 'admin.rrhh.jobs.index',
                        'can' => 'admin.rrhh.jobs.view',
                    ],
                    'Estructura organizacional' => [
                        'route' => 'admin.rrhh.organization.index',
                        'can' => 'admin.rrhh.organization.view',
                    ],
                ],
            ],
            'Reclutamiento' => [
                'icon' => 'menu-icon tf-icons ti ti-user-search',
                'submenu' => [
                    'Vacantes disponibles' => [
                        'route' => 'admin.recruitment.jobs.index',
                        'can' => 'admin.recruitment.jobs.view',
                    ],
                    'Seguimiento de candidatos' => [
                        'route' => 'admin.recruitment.candidates.index',
                        'can' => 'admin.recruitment.candidates.view',
                    ],
                    'Entrevistas y evaluaciones' => [
                        'route' => 'admin.recruitment.interviews.index',
                        'can' => 'admin.recruitment.interviews.view',
                    ],
                ],
            ],
            'Nómina' => [
                'icon' => 'menu-icon tf-icons ti ti-cash',
                'submenu' => [
                    'Contratos' => [
                        'route' => 'admin.payroll.contracts.index',
                        'can' => 'admin.payroll.contracts.view',
                    ],
                    'Procesar nómina' => [
                        'route' => 'admin.payroll.process.index',
                        'can' => 'admin.payroll.process.view',
                    ],
                    'Recibos de nómina' => [
                        'route' => 'admin.payroll.receipts.index',
                        'can' => 'admin.payroll.receipts.view',
                    ],
                    'Reportes financieros' => [
                        'route' => 'admin.payroll.reports.index',
                        'can' => 'admin.payroll.reports.view',
                    ],
                ],
            ],
            'Asistencia' => [
                'icon' => 'menu-icon tf-icons ti ti-calendar-exclamation',
                'submenu' => [
                    'Registro de horarios' => [
                        'route' => 'admin.attendance.records.index',
                        'can' => 'admin.attendance.records.view',
                    ],
                    'Asistencia con biométricos' => [
                        'route' => 'admin.attendance.biometric.index',
                        'can' => 'admin.attendance.biometric.view',
                    ],
                    'Justificación de ausencias' => [
                        'route' => 'admin.attendance.absences.index',
                        'can' => 'admin.attendance.absences.view',
                    ],
                ],
            ],
        ],
    ],
    'Productos y servicios' => [
        'icon' => 'menu-icon tf-icons ti ti-package',
        'submenu' => [
            'Categorias' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.inventory.product-categories.index',
                'can' => 'admin.inventory.product-categories.view',
            ],
            'Productos y servicios' => [
                'icon' => 'menu-icon tf-icons ti ti-packages',
                'route' => 'admin.inventory.products.index',
                'can' => 'admin.inventory.products.view',
            ],
            'Agregar producto o servicio' => [
                'icon' => 'menu-icon tf-icons ti ti-package',
                'route' => 'admin.inventory.products.create',
                'can' => 'admin.inventory.products.create',
            ],
        ]
    ],
    'Ventas' => [
        'icon' => 'menu-icon tf-icons ti ti-cash-register',
        'submenu' => [
            'Tablero' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.sales.dashboard.index',
                'can' => 'admin.sales.dashboard.allow',
            ],
            'Clientes' => [
                'icon' => 'menu-icon tf-icons ti ti-users-group',
                'route' => 'admin.contacts.customers.index',
                'can' => 'admin.contacts.customers.view',
            ],
            'Lista de precios' => [
                'icon' => 'menu-icon tf-icons ti ti-report-search',
                'route' => 'admin.sales.pricelist.index',
                'can' => 'admin.sales.sales.view',
            ],
            'Cotizaciones' => [
                'icon' => 'menu-icon tf-icons ti ti-file-dollar',
                'route' => 'admin.sales.quotes.index',
                'can' => 'admin.sales.quotes.view',
            ],
            'Ventas' => [
                'icon' => 'menu-icon tf-icons ti ti-cash-register',
                'submenu' => [
                    'Crear venta' => [
                        'route' => 'admin.sales.sales.create',
                        'can' => 'admin.sales.sales.create',
                    ],
                    'Ventas' => [
                        'route' => 'admin.sales.sales.index',
                        'can' => 'admin.sales.sales.view',
                    ],
                    'Ventas por producto o servicio' => [
                        'route' => 'admin.sales.sales-by-product.index',
                        'can' => 'admin.sales.sales.view',
                    ],
                ]
            ],
            'Remisiones' => [
                'icon' => 'menu-icon tf-icons ti ti-receipt',
                'submenu' => [
                    'Crear remisión' => [
                        'route' => 'admin.sales.remissions.create',
                        'can' => 'admin.sales.remissions.create',
                    ],
                    'Remisiones' => [
                        'route' => 'admin.sales.remissions.index',
                        'can' => 'admin.sales.remissions.view',
                    ],
                    'Remisiones por producto o servicio' => [
                        'route' => 'admin.sales.remissions-by-product.index',
                        'can' => 'admin.sales.remissions.view',
                    ],
                ]
            ],
            'Notas de crédito' => [
                'icon' => 'menu-icon tf-icons ti ti-receipt-refund',
                'submenu' => [
                    'Crear nota de crédito' => [
                        'route' => 'admin.sales.credit-notes.create',
                        'can' => 'admin.sales.credit-notes.create',
                    ],
                    'Notas de créditos' => [
                        'route' => 'admin.sales.credit-notes.index',
                        'can' => 'admin.sales.credit-notes.view',
                    ],
                    'Notas de crédito por producto o servicio' => [
                        'route' => 'admin.sales.credit-notes-by-product.index',
                        'can' => 'admin.sales.credit-notes.view',
                    ],
                ]
            ],
        ],
    ],
    'Finanzas' => [
        'icon' => 'menu-icon tf-icons ti ti-coins',
        'submenu' => [
            'Tablero financiero' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.accounting.dashboard.index',
                'can' => 'admin.accounting.dashboard.view',
            ],
            'Contabilidad' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-pie',
                'submenu' => [
                    'Cuentas contables' => [
                        'route' => 'admin.accounting.charts.index',
                        'can' => 'admin.accounting.charts.view',
                    ],
                    'Cuentas por pagar' => [
                        'route' => 'admin.finance.accounts-payable.index',
                        'can' => 'admin.finance.accounts-payable.view',
                    ],
                    'Cuentas por cobrar' => [
                        'route' => 'admin.finance.accounts-receivable.index',
                        'can' => 'admin.finance.accounts-receivable.view',
                    ],
                    'Balance general' => [
                        'route' => 'admin.accounting.balance.index',
                        'can' => 'admin.accounting.balance.view',
                    ],
                    'Estado de resultados' => [
                        'route' => 'admin.accounting.income-statement.index',
                        'can' => 'admin.accounting.income-statement.view',
                    ],
                    'Libro mayor' => [
                        'route' => 'admin.accounting.ledger.index',
                        'can' => 'admin.accounting.ledger.view',
                    ],
                    'Registros contables' => [
                        'route' => 'admin.accounting.entries.index',
                        'can' => 'admin.accounting.entries.view',
                    ],
                ],
            ],
            'Tablero de gastos' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.expenses.dashboard.index',
                'can' => 'admin.expenses.dashboard.view',
            ],
            'Gestión de gastos' => [
                'icon' => 'menu-icon tf-icons ti ti-receipt-2',
                'submenu' => [
                    'Nuevo gasto' => [
                        'route' => 'admin.expenses.expenses.create',
                        'can' => 'admin.expenses.expenses.create',
                    ],
                    'Gastos' => [
                        'route' => 'admin.expenses.expenses.index',
                        'can' => 'admin.expenses.expenses.view',
                    ],
                    'Categorías de gastos' => [
                        'route' => 'admin.expenses.categories.index',
                        'can' => 'admin.expenses.categories.view',
                    ],
                    'Historial de gastos' => [
                        'route' => 'admin.expenses.history.index',
                        'can' => 'admin.expenses.history.view',
                    ],
                ],
            ],
        ],
    ],




    'Facturación' => [
        'icon' => 'menu-icon tf-icons ti ti-rubber-stamp',
        'submenu' => [
            'Tablero' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.billing.dashboard.index',
                'can' => 'admin.billing.dashboard.allow',
            ],
            'Ingresos' => [
                'icon' => 'menu-icon tf-icons ti ti-file-certificate',
                'submenu' => [
                    'Facturar ventas' => [
                        'route' => 'admin.billing.ingresos-stamp.index',
                        'can' => 'admin.billing.ingresos.create',
                    ],
                    'CFDI Ingresos' => [
                        'route' => 'admin.billing.ingresos.index',
                        'can' => 'admin.billing.ingresos.view',
                    ],
                    'CFDI Ingresos por producto o servicio' => [
                        'route' => 'admin.billing.ingresos-by-product.index',
                        'can' => 'admin.billing.ingresos.view',
                    ],
                ]
            ],
            'Egresos' => [
                'icon' => 'menu-icon tf-icons ti ti-file-certificate',
                'submenu' => [
                    'Facturar notas de crédito' => [
                        'route' => 'admin.billing.egresos-stamp.index',
                        'can' => 'admin.billing.egresos.create',
                    ],
                    'CFDI Engresos' => [
                        'route' => 'admin.billing.egresos.index',
                        'can' => 'admin.billing.egresos.view',
                    ],
                    'CFDI Engresos por producto o servicio' => [
                        'route' => 'admin.billing.egresos-by-product.index',
                        'can' => 'admin.billing.egresos.view',
                    ],
                ]
            ],
            'Pagos' => [
                'icon' => 'menu-icon tf-icons ti ti-file-certificate',
                'submenu' => [
                    'Facturar pagos' => [
                        'route' => 'admin.billing.pagos-stamp.index',
                        'can' => 'admin.billing.pagos.created',
                    ],
                    'CFDI Pagos' => [
                        'route' => 'admin.billing.pagos.index',
                        'can' => 'admin.billing.pagos.view',
                    ],
                ]
            ],
            'CFDI nómina' => [
                'icon' => 'menu-icon tf-icons ti ti-file-certificate',
                'route' => 'admin.billing.nomina.index',
                'can' => 'admin.billing.nomina.view',
            ],
            'Verificador de CFDI 4.0' => [
                'icon' => 'menu-icon tf-icons ti ti-rosette-discount-check',
                'route' => 'admin.billing.verify-cfdi.index',
                'can' => 'admin.billing.verify-cfdi.allow',
            ],
        ]
    ],

    'Inventario y logística' => [
        'icon' => 'menu-icon tf-icons ti ti-truck-delivery',
        'submenu' => [
            'Cadena de suministro' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-dots-3',
                'submenu' => [
                    'Proveedores' => [
                        'route' => 'admin.contacts.suppliers.index',
                        'can' => 'admin.contacts.suppliers.view',
                    ],
                    'Órdenes de compra' => [
                        'route' => 'admin.inventory.orders.index',
                        'can' => 'admin.inventory.orders.view',
                    ],
                    'Recepción de productos' => [
                        'route' => 'admin.inventory.reception.index',
                        'can' => 'admin.inventory.reception.view',
                    ],
                    'Gestión de insumos' => [
                        'route' => 'admin.inventory.materials.index',
                        'can' => 'admin.inventory.materials.view',
                    ],
                ],
            ],
            'Gestión de almacenes' => [
                'icon' => 'menu-icon tf-icons ti ti-building-warehouse',
                'submenu' => [
                    'Almacenes' => [
                        'route' => 'admin.inventory.warehouse.index',
                        'can' => 'admin.inventory.warehouse.view',
                    ],
                    'Stock de inventario' => [
                        'route' => 'admin.inventory.stock.index',
                        'can' => 'admin.inventory.stock.view',
                    ],
                    'Movimientos de almacenes' => [
                        'route' => 'admin.inventory.movements.index',
                        'can' => 'admin.inventory.movements.view',
                    ],
                    'Transferencias entre Almacenes' => [
                        'route' => 'admin.inventory.transfers.index',
                        'can' => 'admin.inventory.transfers.view',
                    ],
                ],
            ],
            'Envíos y logística' => [
                'icon' => 'menu-icon tf-icons ti ti-truck',
                'submenu' => [
                    'Órdenes de envío' => [
                        'route' => 'admin.inventory.shipping-orders.index',
                        'can' => 'admin.inventory.shipping-orders.view',
                    ],
                    'Seguimiento de envíos' => [
                        'route' => 'admin.inventory.shipping-tracking.index',
                        'can' => 'admin.inventory.shipping-tracking.view',
                    ],
                    'Transportistas' => [
                        'route' => 'admin.inventory.shipping-carriers.index',
                        'can' => 'admin.inventory.shipping-carriers.view',
                    ],
                    'Tarifas y métodos de envío' => [
                        'route' => 'admin.inventory.shipping-rates.index',
                        'can' => 'admin.inventory.shipping-rates.view',
                    ],
                ],
            ],
            'Gestión de activos' => [
                'icon' => 'menu-icon tf-icons ti ti-tools-kitchen',
                'submenu' => [
                    'Activos registrados' => [
                        'route' => 'admin.inventory.assets.index',
                        'can' => 'admin.inventory.assets.view',
                    ],
                    'Mantenimiento preventivo' => [
                        'route' => 'admin.inventory.asset-maintenance.index',
                        'can' => 'admin.inventory.asset-maintenance.view',
                    ],
                    'Control de vida útil' => [
                        'route' => 'admin.inventory.asset-lifecycle.index',
                        'can' => 'admin.inventory.asset-lifecycle.view',
                    ],
                    'Asignación de activos' => [
                        'route' => 'admin.inventory.asset-assignments.index',
                        'can' => 'admin.inventory.asset-assignments.view',
                    ],
                ],
            ],
        ],
    ],

    'Gestión empresarial' => [
        'icon' => 'menu-icon tf-icons ti ti-briefcase',
        'submenu' => [
            'Gestión de proyectos' => [
                'icon' => 'menu-icon tf-icons ti ti-layout-kanban',
                'submenu' => [
                    'Tablero de proyectos' => [
                        'route' => 'admin.projects.dashboard.index',
                        'can' => 'admin.projects.dashboard.view',
                    ],
                    'Proyectos activos' => [
                        'route' => 'admin.projects.index',
                        'can' => 'admin.projects.view',
                    ],
                    'Crear proyecto' => [
                        'route' => 'admin.projects.create',
                        'can' => 'admin.projects.create',
                    ],
                    'Gestión de tareas' => [
                        'route' => 'admin.projects.tasks.index',
                        'can' => 'admin.projects.tasks.view',
                    ],
                    'Historial de proyectos' => [
                        'route' => 'admin.projects.history.index',
                        'can' => 'admin.projects.history.view',
                    ],
                ],
            ],
            'Producción y manufactura' => [
                'icon' => 'menu-icon tf-icons ti ti-building-factory',
                'submenu' => [
                    'Órdenes de producción' => [
                        'route' => 'admin.production.orders.index',
                        'can' => 'admin.production.orders.view',
                    ],
                    'Nueva Orden de producción' => [
                        'route' => 'admin.production.orders.create',
                        'can' => 'admin.production.orders.create',
                    ],
                    'Control de procesos' => [
                        'route' => 'admin.production.process.index',
                        'can' => 'admin.production.process.view',
                    ],
                    'Historial de producción' => [
                        'route' => 'admin.production.history.index',
                        'can' => 'admin.production.history.view',
                    ],
                ],
            ],
            'Control de calidad' => [
                'icon' => 'menu-icon tf-icons ti ti-award',
                'submenu' => [
                    'Inspecciones de calidad' => [
                        'route' => 'admin.quality.inspections.index',
                        'can' => 'admin.quality.inspections.view',
                    ],
                    'Crear inspección' => [
                        'route' => 'admin.quality.inspections.create',
                        'can' => 'admin.quality.inspections.create',
                    ],
                    'Reportes de calidad' => [
                        'route' => 'admin.quality.reports.index',
                        'can' => 'admin.quality.reports.view',
                    ],
                    'Historial de inspecciones' => [
                        'route' => 'admin.quality.history.index',
                        'can' => 'admin.quality.history.view',
                    ],
                ],
            ],
            'Flujos de trabajo y automatización' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-dots-3',
                'submenu' => [
                    'Gestión de flujos de trabajo' => [
                        'route' => 'admin.workflows.index',
                        'can' => 'admin.workflows.view',
                    ],
                    'Crear flujo de trabajo' => [
                        'route' => 'admin.workflows.create',
                        'can' => 'admin.workflows.create',
                    ],
                    'Automatizaciones' => [
                        'route' => 'admin.workflows.automations.index',
                        'can' => 'admin.workflows.automations.view',
                    ],
                    'Historial de flujos' => [
                        'route' => 'admin.workflows.history.index',
                        'can' => 'admin.workflows.history.view',
                    ],
                ],
            ],
        ],
    ],
    'Contratos' => [
        'icon' => 'menu-icon tf-icons ti ti-writing-sign',
        'submenu' => [
            'Mis contratos' => [
                'icon' => 'menu-icon tf-icons ti ti-file-description',
                'route' => 'admin.contracts.index',
                'can' => 'admin.contracts.view',
            ],
            'Firmar contrato' => [
                'icon' => 'menu-icon tf-icons ti ti-signature',
                'route' => 'admin.contracts.sign',
                'can' => 'admin.contracts.sign',
            ],
            'Contratos automatizados' => [
                'icon' => 'menu-icon tf-icons ti ti-robot',
                'route' => 'admin.contracts.automated',
                'can' => 'admin.contracts.automated.view',
            ],
            'Historial de contratos' => [
                'icon' => 'menu-icon tf-icons ti ti-archive',
                'route' => 'admin.contracts.history',
                'can' => 'admin.contracts.history.view',
            ],
        ]
    ],
    'Atención al cliente' => [
        'icon' => 'menu-icon tf-icons ti ti-messages',
        'submenu' => [
            'Tablero' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.sales.dashboard.index',
                'can' => 'admin.ticketing.dashboard.view',
            ],
            'Mis tickets' => [
                'icon' => 'menu-icon tf-icons ti ti-ticket',
                'route' => 'admin.ticketing.tickets.index',
                'can' => 'admin.ticketing.tickets.view',
            ],
            'Crear ticket' => [
                'icon' => 'menu-icon tf-icons ti ti-square-plus',
                'route' => 'admin.ticketing.tickets.create',
                'can' => 'admin.ticketing.tickets.create',
            ],
            'Categorías de tickets' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.ticketing.categories.index',
                'can' => 'admin.ticketing.categories.view',
            ],
            'Estadísticas de atención' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-bar',
                'route' => 'admin.ticketing.analytics.index',
                'can' => 'admin.ticketing.analytics.view',
            ],
        ]
    ],
];
